Package org.apache.lucene.sandbox.facet.cutters

# Interface LeafFacetCutter

All Superinterfaces:
  `OrdinalIterator`

public interface LeafFacetCutter extends OrdinalIterator
Interface to be implemented to cut documents into facets for an index segment (leaf).

When `advanceExact(int)` returns true, `OrdinalIterator.nextOrd()` yields all facet ordinals for the current document. It is illegal to call `OrdinalIterator.nextOrd()` if `advanceExact(int)` returns false.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.sandbox.facet.iterators.OrdinalIterator

  `EMPTY, NO_MORE_ORDS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `advanceExact(int doc)`
  advance to the next doc

  ### Methods inherited from interface org.apache.lucene.sandbox.facet.iterators.OrdinalIterator

  `nextOrd, toArray`

- ## Method Details

  - ### advanceExact

    boolean advanceExact(int doc) throws IOException
    advance to the next doc
    Throws:
      `IOException`